osl::eval::EvalTraits< BLACK > Struct Reference

`#include <evalTraits.h>`

## Static Public Member Functions

static int | max (int v1, int v2)
static int | min (int v1, int v2)
static bool | betterThan (int v1, int v2)
static bool | notLessThan (int v1, int v2)
static int | convert (int value)

## Static Public Attributes

static const int | delta =1
static const int | MAX_VALUE = 250000000

## Detailed Description

Definition at line 16 of file evalTraits.h.

## Member Function Documentation

## betterThan()

bool osl::eval::EvalTraits< BLACK >::betterThan | ( | int | v1,
|  | int | v2 )

inline static

Definition at line 24 of file evalTraits.h.

## convert()

int osl::eval::EvalTraits< BLACK >::convert | ( | int | value | ) |

inline static

Parameters

  value | BLACKのための値

Definition at line 34 of file evalTraits.h.

## max()

int osl::eval::EvalTraits< BLACK >::max | ( | int | v1,
|  | int | v2 )

inline static

Definition at line 21 of file evalTraits.h.

## min()

int osl::eval::EvalTraits< BLACK >::min | ( | int | v1,
|  | int | v2 )

inline static

Definition at line 22 of file evalTraits.h.

## notLessThan()

bool osl::eval::EvalTraits< BLACK >::notLessThan | ( | int | v1,
|  | int | v2 )

inline static

Definition at line 28 of file evalTraits.h.

## Member Data Documentation

## delta

const int osl::eval::EvalTraits< BLACK >::delta =1

static

Definition at line 18 of file evalTraits.h.

## MAX_VALUE

const int osl::eval::EvalTraits< BLACK >::MAX_VALUE = 250000000

static

Definition at line 19 of file evalTraits.h.

The documentation for this struct was generated from the following file:

- evalTraits.h